> For the complete documentation index, see [llms.txt](https://pangeaswap.gitbook.io/pangeaswap/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://pangeaswap.gitbook.io/pangeaswap/developers/interacting-with-the-protocol/undefined-4.md).

# 포지션 소각하기 (유동성 제거)

판게아의 풀에 존재하는 포지션에서 자산을 전체 또는 일부 인출하는 예제입니다.

```typescript
import { ethers } from "ethers";
import {BigNumber} from "@ethersproject/bignumber";

/// concentrated Liquidity Pool Manager의 주소 (네트워크 별로 맞추어 지정)
const poolManagerAddress = "0xEd52BD01b0608a6B6d4f4E03aFfCe16c1FF19c23";

/// web3 Provider (metamask provider / jsonRPC provider 등)
const provider = ethers.getDefaultProvider();

// 포지션에서 소각하기
async function burnPosition(
    tokenId:number,  // tokenId
    amount:string,   // 소각할 유동성 갯수
    recipient:string // 수취받을 계정
) {
      const poolManager = await ConcentratedLiquidityPoolManager__factory.connect(positionManagerAddress, provider);
      const tx = await poolManager.burn(
            tokenId, // 유동성을 꺼낼 포지션, 모든 유동성 제거 시 제거
            amount, // 소각할 유동성 크기, poolManager.positions(tokenId)을 통해 liquidity를 알수 있습니다.
            recipient,
            0, // token0에 대한 슬리피지, token0에 대해 이 이상 받지 않으면 revert
            0, // token1에 대한 슬리피지, token1에 대해 이 이상 받지 않으면 revert
            false // unwrap, wklay를 klay로 받고 싶은 경우에만 trues
      );
      await tx.wait();
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://pangeaswap.gitbook.io/pangeaswap/developers/interacting-with-the-protocol/undefined-4.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
